<?php
/**
 * @var \Phalcon\Mvc\View\Engine\Php $this
 */
?>

<div class="row">
    <nav>
        <ul class="pager">
            <li class="previous"><?php echo $this->tag->linkTo(["productos/index", "Go Back"]); ?></li>
            <li class="next"><?php echo $this->tag->linkTo(["productos/new", "Create "]); ?></li>
        </ul>
    </nav>
</div>

<div class="page-header">
    <h1>Search result</h1>
</div>

<?php echo $this->getContent(); ?>

<div class="row">
    <table class="table table-bordered">
        <thead>
            <tr>
                <th>Id</th>
            <th>Nombre</th>
            <th>Cantidad</th>
            <th>Precio</th>
            <th>Created</th>
            <th>imagen</th>

                <th></th>
                <th></th>
            </tr>
        </thead>
        <tbody>
        <?php foreach ($page->getItems() as $producto): ?>
            <tr>
                <td><?php echo $producto['id'] ?></td>
            <td><?php echo $producto['nombre'] ?></td>
            <td><?php echo $producto['cantidad'] ?></td>
            <td><?php echo $producto['precio'] ?></td>
            <td><?php echo $producto['created_at'] ?></td>
            <td>
            <?php 
                if(!empty($producto['imagen'])){
            ?>
                <img src="data:image/png;base64,<?php echo $producto['imagen']; ?>" alt='Red dot' style="width:14%;" />
            <?php
                }else{
            ?>
                <h5>Sin imagen</h5>
            <?php
                }
            ?>
            </td>
                <td>
                    <a class="btn btn-warning" href="/productos/edit/<?php echo $producto['id']; ?>">Edit</a>
                </td>
                <td>
                    <a class="btn btn-danger" href="/productos/delete/<?php echo $producto['id']; ?>">Delete</a>
                </td>
            </tr>
        <?php endforeach; ?>
        </tbody>
    </table>
</div>

<div class="row">
    <div class="col-sm-1">
        <p class="pagination" style="line-height: 1.42857;padding: 6px 12px;">
            <?php echo $page->getCurrent(), "/", $page->getTotalItems() ?>
        </p>
    </div>
    <div class="col-sm-11">
        <nav>
            <ul class="pagination">
                <li><?php echo $this->tag->linkTo(["productos/search", "First", 'class' => 'page-link', 'id' => 'first']) ?></li>
                <li><?php echo $this->tag->linkTo(["productos/search?page=" . $page->getPrevious(), "Previous", 'class' => 'page-link', 'id' => 'previous']) ?></li>
                <li><?php echo $this->tag->linkTo(["productos/search?page=" . $page->getNext(), "Next", 'class' => 'page-link', 'id' => 'next']) ?></li>
                <li><?php echo $this->tag->linkTo(["productos/search?page=" . $page->getLast(), "Last", 'class' => 'page-link', 'id' => 'last']) ?></li>
            </ul>
        </nav>
    </div>
</div>
